Page MenuHomePhabricator

[AArch64] Select PAC/PACGA for ptrauth.sign/sign_generic.
ClosedPublic

Authored by ab on Nov 9 2020, 8:55 AM.

Details

Summary

This builds on D90868 to introduce the straightforward isel patterns for sign/sign_generic.

Diff Detail

Event Timeline

ab created this revision.Nov 9 2020, 8:55 AM
Herald added a project: Restricted Project. · View Herald TranscriptNov 9 2020, 8:55 AM
ab requested review of this revision.Nov 9 2020, 8:55 AM
danielkiss added inline comments.Nov 9 2020, 11:04 AM
llvm/test/CodeGen/AArch64/ptrauth-intrinsics.ll
2 ↗(On Diff #303894)

I'd prefer adding one more RUN line instead of duplicating the file.

ab updated this revision to Diff 345996.May 17 2021, 2:30 PM

Rebased, split tests by intrinsic rather than by GISel vs SDAG (since GISel is now always built and we don't need the separate test directory)

ab marked an inline comment as done.May 17 2021, 2:30 PM
zzheng added a subscriber: zzheng.Jun 14 2021, 8:56 AM

I wonder if we could have these tests be generic for aarch64 target.
These intrinsics implementation don't have anything dependent on Apple ABI.

ab added a comment.Nov 4 2021, 11:35 AM

I wonder if we could have these tests be generic for aarch64 target.
These intrinsics implementation don't have anything dependent on Apple ABI.

That ship has sailed I think ;) A large chunk of tests use different targets depending on who wrote them, and I guess that's okay precisely because the target differences aren't relevant to the tests.
That's a lot less true for the logic around lowering global references and constants and whatnot, I'm sure that looks quite different for non-darwin (and maybe that'll be enough to justify splitting the test file altogether, the ones I have for those features cover a lot of darwin-specific subtleties that aren't relevant elsewhere)

danielkiss accepted this revision.Nov 11 2021, 12:08 PM

LGTM, any triplet could work here, where it matters we can add a new RUN line with an other triplet.

This revision is now accepted and ready to land.Nov 11 2021, 12:08 PM
This revision was landed with ongoing or failed builds.Nov 18 2021, 3:22 PM
This revision was automatically updated to reflect the committed changes.